<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/dialogbj"
    android:focusable="true"
    android:clickable="true">

    <RelativeLayout
        android:layout_centerInParent="true"
        android:layout_margin="20dp"
        android:layout_width="400dp"
        android:layout_height="800dp"
        android:background="@drawable/common_bg_with_radius_and_border">

        <Button
            android:id="@+id/close_from"
            android:layout_width="32dp"
            android:layout_height="32dp"
            android:layout_alignParentRight="true"
            android:layout_alignParentTop="true"
            android:layout_marginRight="@dimen/dp_10"
            android:layout_marginTop="@dimen/dp_10"
            android:background="@mipmap/close_image"
            android:textSize="14dp"
            android:textColor="@color/white"/>

        <TextView
            android:id="@+id/title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="星星知多少奶茶"
            android:textSize="20dp"
            android:layout_marginTop="@dimen/dp_10"
            android:layout_centerHorizontal="true">
        </TextView>

        <RelativeLayout
            android:layout_marginTop="46dp"
            android:layout_marginBottom="55dp"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:layout_marginLeft="30dp"
                android:layout_marginRight="30dp"
                android:orientation="vertical"
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <!--菜谱名称行-->
                <LinearLayout
                    android:layout_marginTop="@dimen/dp_10"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">
                </LinearLayout>

                <!--边框分割细线-->
                <LinearLayout
                    android:layout_alignParentBottom="true"
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:layout_marginBottom="@dimen/dp_10"
                    android:background="@color/color3" />

                <!-- 商品分类 -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="商品分类"
                        android:textSize="18dp"/>

                    <TextView
                        android:id="@+id/type_name"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:text="明显款"
                        android:textAlignment="textEnd"
                        android:textColor="@color/tab_text_normal"
                        android:textSize="18dp"/>
                </LinearLayout>


                <!-- 商品分类 -->
                <LinearLayout
                    android:layout_marginTop="20dp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="商品配方"
                        android:textSize="18dp"/>
                </LinearLayout>

                <!--物料类型-->
                <RelativeLayout
                    android:layout_marginTop="10dp"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent">
                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginTop="5dp">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:orientation="vertical">
                            <!-- 表头 -->
                            <RelativeLayout
                                android:layout_width="match_parent"
                                android:layout_height="26dp"
                                android:background="@color/app_color_blue">

                                <TableLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_centerVertical="true"
                                    android:layout_gravity="center"
                                    android:gravity="center"
                                    android:stretchColumns="0">

                                    <TableRow
                                        android:layout_width="fill_parent"
                                        android:layout_height="wrap_content"
                                        android:gravity="center_horizontal">

                                        <RelativeLayout
                                            android:layout_width="0dp"
                                            android:layout_height="wrap_content"
                                            android:layout_weight="1">

                                            <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                                android:layout_width="match_parent"
                                                android:textAlignment="center"

                                                android:layout_height="wrap_content"
                                                android:layout_alignParentLeft="true"
                                                android:layout_marginLeft="20dp"
                                                android:text="配方名称"
                                                android:textColor="@color/white" />
                                        </RelativeLayout>


                                        <RelativeLayout
                                            android:layout_width="0dp"
                                            android:layout_height="wrap_content"
                                            android:layout_weight="1">

                                            <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                                android:layout_width="match_parent"
                                                android:textAlignment="center"                                                android:layout_height="wrap_content"
                                                android:layout_alignParentLeft="true"
                                                android:layout_marginLeft="20dp"
                                                android:text="用户操作"
                                                android:textColor="@color/white"/>
                                        </RelativeLayout>
                                    </TableRow>
                                </TableLayout>
                            </RelativeLayout>
                            <!-- 数据 -->
                            <RelativeLayout
                                android:layout_width="match_parent"
                                android:layout_height="match_parent">
                                <ListView
                                    android:id="@+id/datatab_pf"
                                    android:layout_width="match_parent"
                                    android:layout_height="match_parent"
                                    android:layout_marginTop="3dp"
                                    android:divider="#00000000"
                                    android:dividerHeight="3dp" />
                            </RelativeLayout>
                        </LinearLayout>
                    </RelativeLayout>
                </RelativeLayout>
            </LinearLayout>
        </RelativeLayout>

        <Button
            android:layout_alignParentBottom="true"
            android:id="@+id/xinjianpeifang"
            android:layout_width="200dp"
            android:layout_height="40dp"
            android:layout_centerHorizontal="true"
            android:layout_marginBottom="@dimen/dp_10"
            android:background="@drawable/bg_btn_login_selected"
            android:text="+新建配方"
            android:textColor="@color/white"
            android:textSize="18sp"/>
    </RelativeLayout>
</RelativeLayout>